import { AssetResponseDto } from 'src/dtos/asset-response.dto';
import { AuthDto } from 'src/dtos/auth.dto';
import { BaseService } from 'src/services/base.service';
export declare class ViewService extends BaseService {
    getUniqueOriginalPaths(auth: AuthDto): Promise<string[]>;
    getAssetsByOriginalPath(auth: AuthDto, path: string): Promise<AssetResponseDto[]>;
}
